GH-REPO-SET-DEFAULT(1)

NAME
gh-repo-set-default - Configure default repository for this directory

SYNOPSIS
gh repo set-default [<repository>] [flags]

DESCRIPTION
This command sets the default remote repository to use when querying the GitHub API for the locally cloned repository.

gh uses the default repository for things like:

•   viewing and creating pull requests

•   viewing and creating issues

•   viewing and creating releases

•   working with GitHub Actions

  NOTE: gh does not use the default repository for managing repository and environment secrets.

OPTIONS

-u, --unset
    unset the current default repository

-v, --view
    view the current default repository

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    Interactively select a default repository:
    $ gh repo set-default
    Set a repository explicitly:
    $ gh repo set-default owner/repo
    View the current default repository:
    $ gh repo set-default --view
    Show more repository options in the interactive picker:
    $ git remote add newrepo https://github.com/owner/repo
    $ gh repo set-default

SEE ALSO
gh-repo(1)